Ubuntu

zeitgeist-daemon crashed with LookupError in remove_from_connection(): <_zeitgeist.engine.remote.RemoteInterface at /org/gnome/zeitgeist/log/activity at 0xb74ee2cc> is not exported at a location matching (None,None)

Reported by East on 2011-07-09
This bug affects 610 people
Affects Status Importance Assigned to Milestone
Zeitgeist Framework
Fix Released
Undecided
Unassigned
zeitgeist (Ubuntu)
High
Unassigned
Oneiric
High
Unassigned

Bug Description

I tried to start update of Ubuntu

ProblemType: Crash
DistroRelease: Ubuntu 11.10
Package: zeitgeist-core 0.8.1-1ubuntu1
ProcVersionSignature: Ubuntu 3.0-2.3-generic 3.0.0-rc4
Uname: Linux 3.0-2-generic i686
NonfreeKernelModules: nvidia
Architecture: i386
Date: Sat Jul 9 15:52:11 2011
ExecutablePath: /usr/bin/zeitgeist-daemon
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Alpha i386 (20110704.1)
InterpreterPath: /usr/bin/python2.7
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/bin/zeitgeist-daemon
ProcEnviron:
 SHELL=/bin/bash
 LANG=ru_RU.UTF-8
PythonArgs: ['/usr/bin/zeitgeist-daemon']
SourcePackage: zeitgeist
Title: zeitgeist-daemon crashed with LookupError in remove_from_connection(): <_zeitgeist.engine.remote.RemoteInterface at /org/gnome/zeitgeist/log/activity at 0xb74ee2cc> is not exported at a location matching (None,None)
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

East (east-v) wrote :
tags: removed: need-duplicate-check
tags: added: bugpattern-needed
visibility: private → public
Changed in zeitgeist (Ubuntu Oneiric):
importance: Undecided → High
status: New → Triaged
Seif Lotfy (seif) wrote :

Does this happen upon starting the session ?

Robert Hutton (rwh-helms-deep) wrote :

Yes, for me this happens not immediately, but quite soon after login.

Robert Hutton (rwh-helms-deep) wrote :

Say, after 30 seconds or so on Macbook Pro 5,5.

yeah.... and when you search updates or upgrading the sistema

2011/7/12 Seif Lotfy <email address hidden>

> Does this happen upon starting the session ?
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (808157).
> https://bugs.launchpad.net/bugs/807950
>
> Title:
> zeitgeist-daemon crashed with LookupError in remove_from_connection():
> <_zeitgeist.engine.remote.RemoteInterface at
> /org/gnome/zeitgeist/log/activity at 0xb74ee2cc> is not exported at a
> location matching (None,None)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/zeitgeist/+bug/807950/+subscriptions
>

--
ramon marquez
-----------------------------------------------------
http://www.novedoso.com.ve

yes, it occurred upon starting the session on my x200 lenovo tablet. i had
to revert back to ubuntu 11.04 because of the instability though.

On Tue, Jul 12, 2011 at 10:50 AM, Seif Lotfy <email address hidden>wrote:

> Does this happen upon starting the session ?
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (808603).
> https://bugs.launchpad.net/bugs/807950
>
> Title:
> zeitgeist-daemon crashed with LookupError in remove_from_connection():
> <_zeitgeist.engine.remote.RemoteInterface at
> /org/gnome/zeitgeist/log/activity at 0xb74ee2cc> is not exported at a
> location matching (None,None)
>
> Status in “zeitgeist” package in Ubuntu:
> Triaged
> Status in “zeitgeist” source package in Oneiric:
> Triaged
>
> Bug description:
> I tried to start update of Ubuntu
>
> ProblemType: Crash
> DistroRelease: Ubuntu 11.10
> Package: zeitgeist-core 0.8.1-1ubuntu1
> ProcVersionSignature: Ubuntu 3.0-2.3-generic 3.0.0-rc4
> Uname: Linux 3.0-2-generic i686
> NonfreeKernelModules: nvidia
> Architecture: i386
> Date: Sat Jul 9 15:52:11 2011
> ExecutablePath: /usr/bin/zeitgeist-daemon
> InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Alpha i386 (20110704.1)
> InterpreterPath: /usr/bin/python2.7
> PackageArchitecture: all
> ProcCmdline: /usr/bin/python /usr/bin/zeitgeist-daemon
> ProcEnviron:
> SHELL=/bin/bash
> LANG=ru_RU.UTF-8
> PythonArgs: ['/usr/bin/zeitgeist-daemon']
> SourcePackage: zeitgeist
> Title: zeitgeist-daemon crashed with LookupError in
> remove_from_connection(): <_zeitgeist.engine.remote.RemoteInterface at
> /org/gnome/zeitgeist/log/activity at 0xb74ee2cc> is not exported at a
> location matching (None,None)
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/zeitgeist/+bug/807950/+subscriptions
>

--
Gabriel J Caron

Christopher (soft-kristal) wrote :

Yes - and Ubuntu One as well. I was also experiencing a freeze on login and have removed the Oneiric partition. I plan to do a fresh install on the weekend.

Is the work affected due to crash? Does the application you use stop working?

On 07/12/2011 12:08 PM, Manish Sinha (मनीष सिन्हा) wrote:
> Is the work affected due to crash? Does the application you use stop
> working?
>
In my case the application is the update-manager. It fails and will not
restart without the error. Updates are still possible using CLI (apt-get).

So I did some fiddling and what I noticed is that the report you get is
based on the session before that where Zeitgeist fails to shutdown
properly... I am looking into that...

On Tue, Jul 12, 2011 at 7:26 PM, David Power <email address hidden> wrote:

> On 07/12/2011 12:08 PM, Manish Sinha (मनीष सिन्हा) wrote:
> > Is the work affected due to crash? Does the application you use stop
> > working?
> >
> In my case the application is the update-manager. It fails and will not
> restart without the error. Updates are still possible using CLI (apt-get).
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/807950
>
> Title:
> zeitgeist-daemon crashed with LookupError in remove_from_connection():
> <_zeitgeist.engine.remote.RemoteInterface at
> /org/gnome/zeitgeist/log/activity at 0xb74ee2cc> is not exported at a
> location matching (None,None)
>
> Status in “zeitgeist” package in Ubuntu:
> Triaged
> Status in “zeitgeist” source package in Oneiric:
> Triaged
>
> Bug description:
> I tried to start update of Ubuntu
>
> ProblemType: Crash
> DistroRelease: Ubuntu 11.10
> Package: zeitgeist-core 0.8.1-1ubuntu1
> ProcVersionSignature: Ubuntu 3.0-2.3-generic 3.0.0-rc4
> Uname: Linux 3.0-2-generic i686
> NonfreeKernelModules: nvidia
> Architecture: i386
> Date: Sat Jul 9 15:52:11 2011
> ExecutablePath: /usr/bin/zeitgeist-daemon
> InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Alpha i386 (20110704.1)
> InterpreterPath: /usr/bin/python2.7
> PackageArchitecture: all
> ProcCmdline: /usr/bin/python /usr/bin/zeitgeist-daemon
> ProcEnviron:
> SHELL=/bin/bash
> LANG=ru_RU.UTF-8
> PythonArgs: ['/usr/bin/zeitgeist-daemon']
> SourcePackage: zeitgeist
> Title: zeitgeist-daemon crashed with LookupError in
> remove_from_connection(): <_zeitgeist.engine.remote.RemoteInterface at
> /org/gnome/zeitgeist/log/activity at 0xb74ee2cc> is not exported at a
> location matching (None,None)
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/zeitgeist/+bug/807950/+subscriptions
>

Roderic Jones (rodericj) wrote :
Download full text (3.3 KiB)

I have just done a fresh install from the latest daily build available
to me at 8 a.m. BST 13th July. This is an alt cd.

It installs correctly but immediately trying to run update manager
crashes Zeitgeist - that is before installing Nvidia Drivers or any
other software.

I hope this helps.

Rod Jones

On 12 July 2011 21:39, Seif Lotfy <email address hidden> wrote:
> So I did some fiddling and what I noticed is that the report you get is
> based on the session before that where Zeitgeist fails to shutdown
> properly... I am looking into that...
>
> On Tue, Jul 12, 2011 at 7:26 PM, David Power <email address hidden>
> wrote:
>
>> On 07/12/2011 12:08 PM, Manish Sinha (मनीष सिन्हा) wrote:
>> > Is the work affected due to crash? Does the application you use stop
>> > working?
>> >
>> In my case the application is the update-manager.  It fails and will not
>> restart without the error.  Updates are still possible using CLI (apt-get).
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/807950
>>
>> Title:
>>  zeitgeist-daemon crashed with LookupError in remove_from_connection():
>>  <_zeitgeist.engine.remote.RemoteInterface at
>>  /org/gnome/zeitgeist/log/activity at 0xb74ee2cc> is not exported at a
>>  location matching (None,None)
>>
>> Status in “zeitgeist” package in Ubuntu:
>>  Triaged
>> Status in “zeitgeist” source package in Oneiric:
>>  Triaged
>>
>> Bug description:
>>  I tried to start update of Ubuntu
>>
>>  ProblemType: Crash
>>  DistroRelease: Ubuntu 11.10
>>  Package: zeitgeist-core 0.8.1-1ubuntu1
>>  ProcVersionSignature: Ubuntu 3.0-2.3-generic 3.0.0-rc4
>>  Uname: Linux 3.0-2-generic i686
>>  NonfreeKernelModules: nvidia
>>  Architecture: i386
>>  Date: Sat Jul  9 15:52:11 2011
>>  ExecutablePath: /usr/bin/zeitgeist-daemon
>>  InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Alpha i386 (20110704.1)
>>  InterpreterPath: /usr/bin/python2.7
>>  PackageArchitecture: all
>>  ProcCmdline: /usr/bin/python /usr/bin/zeitgeist-daemon
>>  ProcEnviron:
>>   SHELL=/bin/bash
>>   LANG=ru_RU.UTF-8
>>  PythonArgs: ['/usr/bin/zeitgeist-daemon']
>>  SourcePackage: zeitgeist
>>  Title: zeitgeist-daemon crashed with LookupError in
>> remove_from_connection(): <_zeitgeist.engine.remote.RemoteInterface at
>> /org/gnome/zeitgeist/log/activity at 0xb74ee2cc> is not exported at a
>> location matching (None,None)
>>  UpgradeStatus: No upgrade log present (probably fresh install)
>>  UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
>>
>> To manage notifications about this bug go to:
>>
>> https://bugs.launchpad.net/ubuntu/+source/zeitgeist/+bug/807950/+subscriptions
>>
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (809177).
> https://bugs.launchpad.net/bugs/807950
>
> Title:
>  zeitgeist-daemon crashed with LookupError in remove_from_connection():
>  <_zeitgeist.engine.remote.RemoteInterface at
>  /org/gnome/zeitgeist/log/activity at 0xb74ee2cc> is not exported at a
>  location matching (None,None)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/zeitgeist/+bug...

Read more...

Siegfried Gevatter (rainct) wrote :

<thekorn_> this _safe_quit is a special service to our users anyway,
<thekorn_> so I guess a safe fix would be ignoring the two possible exceptions there
<thekorn_> exceptions there just means "the interface is already down at the time you tried to kill it"
<thekorn_> which is what we want
<thekorn_> RainCT: what do you think?

Yup, that was my initial idea.

But still it'd be good to understand what's going on here, as in, why is Quit being called twice? Or is Zeitgeist being killed before it has even initialized (which doesn't make much sense)?

Markus Korn (thekorn) wrote :

I haven't look further into it, *BUT* zeitgeist should handle .Quit() being called multipletimes properly, means: it should not crash.
We also have to check how ZeitgeistEngine.close() behaves in this cases.

Reasons for .Quit() being called are for example that two clients try to quit the daemon at about the same time.

And for the dbus methods in .Quit which are raising the errors: it is always possible for the connection (e.g. the SessionBus) to drop the connection to ZG before we want to quit. (I haven't further investigate on this, but it seems clear to me looking at the dbus docs)

In short: zeitgeist should not crash in .Quit() unless something like storing data in the engine goes terribly wrong.

Tim Cuthbertson (ratcheer) wrote :

New updated versions of two zeitgeist packages were installed, this morning. The crash still occurs.

Package: zeitgeist Version: 0.8.1.1-1
Package: zeitgeist-core Version: 0.8.1.1-1

Sam_ (and-sam) wrote :

No crash after boot since 31 July.
$ apt-cache policy zeitgeist
zeitgeist:
  Installed: 0.8.1.1-1
  Candidate: 0.8.1.1-1
  Version table:
 *** 0.8.1.1-1 0
        500 http://archive.ubuntu.com/ubuntu/ oneiric/main amd64 Packages
        100 /var/lib/dpkg/status

Seif Lotfy (seif) wrote :

Hmmmmmmmmmm this looks fishy...

On Mon, Aug 1, 2011 at 12:21 AM, Sam_ <email address hidden> wrote:

> No crash after boot since 31 July.
> $ apt-cache policy zeitgeist
> zeitgeist:
> Installed: 0.8.1.1-1
> Candidate: 0.8.1.1-1
> Version table:
> *** 0.8.1.1-1 0
> 500 http://archive.ubuntu.com/ubuntu/ oneiric/main amd64 Packages
> 100 /var/lib/dpkg/status
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/807950
>
> Title:
> zeitgeist-daemon crashed with LookupError in remove_from_connection():
> <_zeitgeist.engine.remote.RemoteInterface at
> /org/gnome/zeitgeist/log/activity at 0xb74ee2cc> is not exported at a
> location matching (None,None)
>
> Status in “zeitgeist” package in Ubuntu:
> Triaged
> Status in “zeitgeist” source package in Oneiric:
> Triaged
>
> Bug description:
> I tried to start update of Ubuntu
>
> ProblemType: Crash
> DistroRelease: Ubuntu 11.10
> Package: zeitgeist-core 0.8.1-1ubuntu1
> ProcVersionSignature: Ubuntu 3.0-2.3-generic 3.0.0-rc4
> Uname: Linux 3.0-2-generic i686
> NonfreeKernelModules: nvidia
> Architecture: i386
> Date: Sat Jul 9 15:52:11 2011
> ExecutablePath: /usr/bin/zeitgeist-daemon
> InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Alpha i386 (20110704.1)
> InterpreterPath: /usr/bin/python2.7
> PackageArchitecture: all
> ProcCmdline: /usr/bin/python /usr/bin/zeitgeist-daemon
> ProcEnviron:
> SHELL=/bin/bash
> LANG=ru_RU.UTF-8
> PythonArgs: ['/usr/bin/zeitgeist-daemon']
> SourcePackage: zeitgeist
> Title: zeitgeist-daemon crashed with LookupError in
> remove_from_connection(): <_zeitgeist.engine.remote.RemoteInterface at
> /org/gnome/zeitgeist/log/activity at 0xb74ee2cc> is not exported at a
> location matching (None,None)
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/zeitgeist/+bug/807950/+subscriptions
>

Doug McMahon (mc3man) wrote :

zeitgeist has not crashed and more importantly here has been working properly on 2 installs, (adding to activity.sqlite), latest of 07/28

Timo Witte (spacefish) wrote :

I experience a long hang (30-40 seconds) after i start the session, after that "hang" (mouse is movable) unity starts but that error occoured.. It didn´t occour lately however.. i think it only appears when you have many files and a empty db...

Sam_ (and-sam) wrote :

@#17 Still no crash after boot. In the meantime crashes of update-manager and system log viewer, but no sign of zeitgeist crash. Please tell which proof you need?

Installed Ubuntu 10.10 yesterday. I have gotten this crash message shortly after boot twice. Nothing seems to have been adversely affected though.

hello
i am testing ubuntu 11.10 and this bug came on after the boot. it happened three times in the row.

crtm (carlosrtm) wrote :

after update, crash; it happened three times

SiscoGarcia (sisco) wrote :

I just started my pc, and tried to update (sudo apt-get update) when shown me this error message.

crtm (carlosrtm) wrote :

The crash still occurs. I'm loose unity packages in this update (?)!

alkafer (ackerdfeld) on 2011-08-30
description: updated
tags: removed: bugpattern-needed
Paulo Lopes (jetdrone) wrote :

Also happens with a fresh beta-1 install. I get the crash on every boot.

OK so I think I know the source of the problem.
Basically when Zeitgeist is running and an app subscribes to be notified of
"events" of specific type, if the app crashes or exits before that Zeitgeist
can not unsubscribe it for a clean shutdown.
I will look into it now...

On Fri, Sep 2, 2011 at 10:22 AM, jetdrone <email address hidden> wrote:

> Also happens with a fresh beta-1 install. I get the crash on every boot.
>
> --
> You received this bug notification because you are a member of Zeitgeist
> Framework Team, which is subscribed to Zeitgeist Framework.
> https://bugs.launchpad.net/bugs/807950
>
> Title:
> zeitgeist-daemon crashed with LookupError in remove_from_connection():
> <_zeitgeist.engine.remote.RemoteInterface at
> /org/gnome/zeitgeist/log/activity at 0xb74ee2cc> is not exported at a
> location matching (None,None)
>
> Status in Zeitgeist Framework:
> New
> Status in “zeitgeist” package in Ubuntu:
> Triaged
> Status in “zeitgeist” source package in Oneiric:
> Triaged
>
> Bug description:
> I tried to start update of Ubuntu
>
> ProblemType: Crash
> DistroRelease: Ubuntu 11.10
> Package: zeitgeist-core 0.8.1-1ubuntu1
> ProcVersionSignature: Ubuntu 3.0-2.3-generic 3.0.0-rc4
> Uname: Linux 3.0-2-generic i686
> NonfreeKernelModules: nvidia
> Architecture: i386
> Date: Sat Jul 9 15:52:11 2011
> ExecutablePath: /usr/bin/zeitgeist-daemon
> InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Alpha i386 (20110704.1)
> InterpreterPath: /usr/bin/python2.7
> PackageArchitecture: all
> ProcCmdline: /usr/bin/python /usr/bin/zeitgeist-daemon
> ProcEnviron:
> SHELL=/bin/bash
> LANG=ru_RU.UTF-8
> PythonArgs: ['/usr/bin/zeitgeist-daemon']
> SourcePackage: zeitgeist
> Title: zeitgeist-daemon crashed with LookupError in
> remove_from_connection(): <_zeitgeist.engine.remote.RemoteInterface at
> /org/gnome/zeitgeist/log/activity at 0xb74ee2cc> is not exported at a
> location matching (None,None)
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/zeitgeist/+bug/807950/+subscriptions
>
> _______________________________________________
> Mailing list: https://launchpad.net/~zeitgeist
> Post to : <email address hidden>
> Unsubscribe : https://launchpad.net/~zeitgeist
> More help : https://help.launchpad.net/ListHelp
>

Seif Lotfy (seif) wrote :

Correction. Its Zeitgeist now being able to shut down proeprly due to it
being a singelton and somehow dbus losing the address to it.

On Fri, Sep 2, 2011 at 10:37 AM, Seif Lotfy <email address hidden> wrote:

> OK so I think I know the source of the problem.
> Basically when Zeitgeist is running and an app subscribes to be notified of
> "events" of specific type, if the app crashes or exits before that Zeitgeist
> can not unsubscribe it for a clean shutdown.
> I will look into it now...
>
>
> On Fri, Sep 2, 2011 at 10:22 AM, jetdrone <email address hidden>wrote:
>
>> Also happens with a fresh beta-1 install. I get the crash on every boot.
>>
>> --
>> You received this bug notification because you are a member of Zeitgeist
>> Framework Team, which is subscribed to Zeitgeist Framework.
>> https://bugs.launchpad.net/bugs/807950
>>
>> Title:
>> zeitgeist-daemon crashed with LookupError in remove_from_connection():
>> <_zeitgeist.engine.remote.RemoteInterface at
>> /org/gnome/zeitgeist/log/activity at 0xb74ee2cc> is not exported at a
>> location matching (None,None)
>>
>> Status in Zeitgeist Framework:
>> New
>> Status in “zeitgeist” package in Ubuntu:
>> Triaged
>> Status in “zeitgeist” source package in Oneiric:
>> Triaged
>>
>> Bug description:
>> I tried to start update of Ubuntu
>>
>> ProblemType: Crash
>> DistroRelease: Ubuntu 11.10
>> Package: zeitgeist-core 0.8.1-1ubuntu1
>> ProcVersionSignature: Ubuntu 3.0-2.3-generic 3.0.0-rc4
>> Uname: Linux 3.0-2-generic i686
>> NonfreeKernelModules: nvidia
>> Architecture: i386
>> Date: Sat Jul 9 15:52:11 2011
>> ExecutablePath: /usr/bin/zeitgeist-daemon
>> InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Alpha i386
>> (20110704.1)
>> InterpreterPath: /usr/bin/python2.7
>> PackageArchitecture: all
>> ProcCmdline: /usr/bin/python /usr/bin/zeitgeist-daemon
>> ProcEnviron:
>> SHELL=/bin/bash
>> LANG=ru_RU.UTF-8
>> PythonArgs: ['/usr/bin/zeitgeist-daemon']
>> SourcePackage: zeitgeist
>> Title: zeitgeist-daemon crashed with LookupError in
>> remove_from_connection(): <_zeitgeist.engine.remote.RemoteInterface at
>> /org/gnome/zeitgeist/log/activity at 0xb74ee2cc> is not exported at a
>> location matching (None,None)
>> UpgradeStatus: No upgrade log present (probably fresh install)
>> UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
>>
>> To manage notifications about this bug go to:
>> https://bugs.launchpad.net/zeitgeist/+bug/807950/+subscriptions
>>
>> _______________________________________________
>> Mailing list: https://launchpad.net/~zeitgeist
>> Post to : <email address hidden>
>> Unsubscribe : https://launchpad.net/~zeitgeist
>> More help : https://help.launchpad.net/ListHelp
>>
>
>

Seif Lotfy (seif) on 2011-09-02
Changed in zeitgeist:
status: New → Fix Committed
SiscoGarcia (sisco) wrote :

Also affected whith Uname 3.0-3-generic #4 i686

Roc.am (roc-am) wrote :

Since I installed the beta 1 with all it's updates, I had no crashes at all.

Jussier (jussierneto) wrote :

Here with fully updated system I continue to receive this bug alert everytime I log in.

Maraschin (carlo-maraschin) wrote :

The same with me, I just did an update and the bug still occurs! I tried to report but it says the bug was already reported... I hope this but is not closed!

@Maraschin
This bug is not closed. A fix has been committed upstream, but it is not yet available as an update to Oneiric. Once the status in Oneiric changes from Triaged to Fix Released, then you should expect to receive an update fixing the problem.

ahmetcgl (ahmetcgl) wrote :

once again

Anca Emanuel (anca-emanuel) wrote :
Download full text (3.9 KiB)

[ 66.627176] zeitgeist-daemo[1530]: segfault at 292f4f1 ip 00007fc694848039 sp 00007fffd022f730 error 4 in libxapian.so.22.3.0[7fc694764000+1e6000]
[ 69.833898] zeitgeist-daemo[1634]: segfault at 15f7893 ip 00007f89b8655e07 sp 00007fff36c26030 error 4 in libxapian.so.22.3.0[7f89b8594000+1e6000]
[ 70.989258] zeitgeist-daemo[1706]: segfault at 1c849e3 ip 00007f8cd624fe07 sp 00007fffe3fe3950 error 4 in libxapian.so.22.3.0[7f8cd618e000+1e6000]
[ 72.145022] zeitgeist-daemo[1735]: segfault at 203a2c3 ip 00007f993bec0e07 sp 00007ffff4b4ee10 error 4 in libxapian.so.22.3.0[7f993bdff000+1e6000]
[ 94.755081] zeitgeist-daemo[1796]: segfault at 2a01371 ip 00007fe19fac3039 sp 00007fff3897f430 error 4 in libxapian.so.22.3.0[7fe19f9df000+1e6000]
[ 95.426150] zeitgeist-daemo[1815]: segfault at 3105b51 ip 00007f6ca185a039 sp 00007fff5bd60d20 error 4 in libxapian.so.22.3.0[7f6ca1776000+1e6000]
[ 95.978602] zeitgeist-daemo[1826]: segfault at 24f5b51 ip 00007f30eaa81039 sp 00007fffd7ca47c0 error 4 in libxapian.so.22.3.0[7f30ea99d000+1e6000]
[ 96.508418] zeitgeist-daemo[1837]: segfault at 15e3e01 ip 00007f7087a94039 sp 00007fff897146b0 error 4 in libxapian.so.22.3.0[7f70879b0000+1e6000]
[ 97.117192] zeitgeist-daemo[1850]: segfault at 1871e11 ip 00007f885dde7039 sp 00007fff1faa5640 error 4 in libxapian.so.22.3.0[7f885dd03000+1e6000]
[ 97.598390] zeitgeist-daemo[1861]: segfault at 132ae01 ip 00007f9ad364d039 sp 00007fff56523330 error 4 in libxapian.so.22.3.0[7f9ad3569000+1e6000]
[ 98.096724] zeitgeist-daemo[1872]: segfault at 11cfd21 ip 00007fbdac815039 sp 00007fff31536340 error 4 in libxapian.so.22.3.0[7fbdac731000+1e6000]
[ 98.567888] zeitgeist-daemo[1883]: segfault at 1cd7e01 ip 00007f633ec6c039 sp 00007ffffe403d30 error 4 in libxapian.so.22.3.0[7f633eb88000+1e6000]
[ 99.048976] zeitgeist-daemo[1894]: segfault at 2da6b51 ip 00007fe129709039 sp 00007fff01f7cc40 error 4 in libxapian.so.22.3.0[7fe129625000+1e6000]
[ 99.587824] zeitgeist-daemo[1905]: segfault at 29e6e01 ip 00007f263c00f039 sp 00007fff0137d290 error 4 in libxapian.so.22.3.0[7f263bf2b000+1e6000]
[ 100.550096] show_signal_msg: 1 callbacks suppressed
[ 100.550102] zeitgeist-daemo[1927]: segfault at 154ee01 ip 00007f66744c8039 sp 00007fff5bf34330 error 4 in libxapian.so.22.3.0[7f66743e4000+1e6000]
[ 101.018785] zeitgeist-daemo[1938]: segfault at 1e09b51 ip 00007fea4ef92039 sp 00007fff3fa331c0 error 4 in libxapian.so.22.3.0[7fea4eeae000+1e6000]
[ 101.510463] zeitgeist-daemo[1949]: segfault at 12d6e01 ip 00007f4c35393039 sp 00007fff0fca24d0 error 4 in libxapian.so.22.3.0[7f4c352af000+1e6000]
[ 101.999804] zeitgeist-daemo[1960]: segfault at 1b16e01 ip 00007f8de0d6b039 sp 00007fff2f64ddc0 error 4 in libxapian.so.22.3.0[7f8de0c87000+1e6000]
[ 102.481935] zeitgeist-daemo[1971]: segfault at 2fd4e01 ip 00007fa2b67fe039 sp 00007fff9d20bb90 error 4 in libxapian.so.22.3.0[7fa2b671a000+1e6000]
[ 102.960289] zeitgeist-daemo[1982]: segfault at 24dee01 ip 00007ffadbc27039 sp 00007fff2c5cc560 error 4 in libxapian.so.22.3.0[7ffadbb43000+1e6000]
[ 103.440242] zeitgeist-daemo[1993]: segfault at 1b36b51 ip 00007f1bd80da039 sp 00007fff051d2b10 error 4 in libxapian.so.22.3.0[7f1bd7ff6000+1e...

Read more...

WIGGMPk (wiggmpk) wrote :

Didnt read all the comments, seen that there is a fix committed.

Clean install (amd64)..
Updated and installed nvidia drivers..
Restarted, opened firefox and zeitgeist-daemon crashed.

Beuntje-ict (beuntje-ict) wrote :

at startup and after coming back from suspend

Changed in zeitgeist:
status: Fix Committed → Fix Released
Siert (sgz) wrote :

Same here with clean install. Updated to latest versions available for 11.10 / amd64.

omarly666 (omarly666) wrote :

clean install i386 today - updates made

I don't think that the fix has been released.

a$ apt-cache policy zeitgeist
zeitgeist:
  Installed: 0.8.1.1-1
  Candidate: 0.8.1.1-1
  Version table:
 *** 0.8.1.1-1 0
        500 http://in.archive.ubuntu.com/ubuntu/ oneiric/main i386 Packages
        100 /var/lib/dpkg/status

https://launchpad.net/ubuntu/+source/zeitgeist

0.8.1.1-1 was uploaded 8 weeks ago. Means 2 months

Victor Costan (costan) wrote :

Maybe we're hitting a different bug and apport / launchpad is confused and thinks it's a dupe?

I just updated my packages an hour ago, rebooted a few times, and I'm still getting this error on every boot.

Marco Scholl (traxanos) wrote :

i have the bug,too

zeitgeist:
  Installiert: 0.8.1.1-1
  Kandidat: 0.8.1.1-1
  Versionstabelle:
 *** 0.8.1.1-1 0
        500 http://archive.ubuntu.com/ubuntu/ oneiric/main amd64 Packages
        100 /var/lib/dpkg/status

John Winterton (jwinterton) wrote :

Description: Ubuntu oneiric (development branch)
Release: 11.10
zeitgeist:
  Installed: 0.8.1.1-1
  Candidate: 0.8.1.1-1
  Version table:
 *** 0.8.1.1-1 0
        500 http://ca.archive.ubuntu.com/ubuntu/ oneiric/main amd64 Packages
        100 /var/lib/dpkg/status

Problem occurred after an attempt to upgrade from the console via:
john@john-11:~$ sudo apt-get upgrade
[sudo] password for john:
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

Crash followed within seconds.

Yes, this bug is definitely still there.

Lazy (ubuntu-bugs-oittaa) wrote :

Yep, still crashes at every reboot.

Ant Dickens (antonydickens) wrote :

Occurs shortly after every boot and has done for since beta 1

Guy Schlosser (guyster104) wrote :

Yes indeed, still crashes at every reboot. Has fix really been released? If not, when should it be packaged if status says fix released?

Evan Huus (eapache) wrote :

To all those who have been wondering why the bug says "Fix Released" but who are still encountering the issue:

As explained by Eliah in comment #33:

"This bug is not closed. A fix has been committed upstream, but it is not yet available as an update to Oneiric. Once the status in Oneiric changes from Triaged to Fix Released, then you should expect to receive an update fixing the problem."

In other words, the Zeitgeist project (which is separate from Ubuntu) has fixed the problem. That fix has not yet made it into Ubuntu. Given the heat of this bug, I'm sure that the fix will make it into Ubuntu before Oneiric is released.

Hope this clears everything up.

everflux (tklaunchpad) wrote :

I certainly hope oneric will not be released without a fix, since it will draw an unreliable and buggy picture on Ubuntu.

To add some details just in case:
amd64, nvidia, gnome-session-fallback - error occurs after each login within a couple of seconds.

Tamas Papp (tompos) wrote :

Today it looks working as expected, no errors, no crashes.

Matthias Schmidt (mschmidt) wrote :

Fresh install of oneiric and the crash happened some seconds after the login w/o doing anything.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers